<!--
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License. See accompanying LICENSE file.
-->

<!-- Put site-specific property overrides in this file. -->

<configuration>
	<property>
		<name>fs.defaultFS</name>
		<value>hdfs://ip-172-31-78-215.ec2.internal:9000</value>
	</property>
	<property>
		<name>io.file.buffer.size</name>
		<value>131072</value>
	</property>
	<property>
		<name>hadoop.security.authentication</name>
		<value>simple</value>
	</property>
	<property>
                <name>hadoop.security.authorization</name>
                <value>false</value>
        </property>
        <property>
                <name>hadoop.rpc.protection</name>
                <value>authentication</value>
        </property>
        <property>
                <name>hadoop.http.authentication.kerberos.principal</name>
                <value>HTTP/_HOST@COLORIZE.COM</value>
       	</property>
        <property>
                <name>hadoop.http.authentication.kerberos.keytab</name>
                <value>/etc/security/keytab/spnego.service.keytab</value>
        </property>
        <property>
                <name>hadoop.security.auth_lo_local</name>
                <value>
    			RULE:[2:$1/$2@$0]([ndj]n/.*@COLORIZE.\COM)s/.*/hdfs/
    			RULE:[2:$1/$2@$0]([rn]m/.*@COLORIZE\.COM)s/.*/yarn/
    			RULE:[2:$1/$2@$0](jhs/.*@COLORIZE\.COM)s/.*/mapred/
    			DEFAULT
		</value>
        </property>
	<property>
		<name>hadoop.proxyuser.superuser.hosts</name>
		<value>*</value>
	</property>
	<property>
                <name>hadoop.proxyuser.superuser.groups</name>
                <value>*</value>
        </property>
	<property>
		<name>hadoop.ssl.hostname.verifier</name>
		<value>ALLOW_ALL</value>
	</property>
</configuration>
